View Issue Details

IDProjectCategoryView StatusLast Update
0032711Open CASCADEOCCT:Codingpublic2021-12-11 15:26
Reporterbugmaster Assigned Tosmoskvin  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.6.0 
Summary0032711: Coding Rules - new warning in AIS_Shape::Color() after integration fix for #32704
DescriptionReproduced on Linux platform only

Type : GNU C Compiler 4 (gcc)
Category : Warning:unused-variable
File Name : /dn61/builds/CR0-WEEK-48_CR0-WEEK-48/OCCT_SRC/src/AIS/AIS_Shape.cxx
Line : 360
Message : unused variable aShading [-Wunused-variable]

http://jenkins-test-11.nnov.opencascade.com/job/warnings_compare/Compare_20Warnings_20Report/
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032704 verifiedvpozdyayev Visualization, Prs3d_Drawer - do not implicitly create aspects within getters 

Activities

git

2021-12-04 15:49

administrator   ~0105668

Branch CR32711 has been created by kgv.

SHA-1: ed1bfea1ebe880d8afd1fd01453178276889e3c1


Detailed log of new commits:

Author: kgv
Date: Sat Dec 4 15:49:14 2021 +0300

    0032711: Coding Rules - new warning in AIS_Shape::Color() after integration fix for 0032704

kgv

2021-12-04 16:25

developer   ~0105671

Please raise the patch
- OCCT: branch CR32711.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32711-master-KGV/view/OCCT%20compile/

smoskvin

2021-12-11 11:34

administrator   ~0105800

Combination -
OCCT branch : IR-2021-12-10
master SHA - e463b2f685d8c815f8a7ab996c6843808e8b1430
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-10 SHA - 6377a4e004f3c988c651adf5eca35203f239b1c2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18222.380000000427 / 18166.60000000042 [+0.31%]
Products
Total CPU difference: 11645.100000000084 / 11658.820000000103 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 19999.4375 / 19937.953125 [+0.31%]
Products
Total CPU difference: 13044.453125 / 13069.28125 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-11 15:26

administrator   ~0105819

Branch CR32711 has been deleted by mnt.

SHA-1: ed1bfea1ebe880d8afd1fd01453178276889e3c1

Related Changesets

occt: master ccd3858e

2021-12-04 12:49:14

kgv


Committer: smoskvin Details Diff
0032711: Coding Rules - new warning in AIS_Shape::Color() after integration fix for 0032704 Affected Issues
0032711
mod - src/AIS/AIS_Shape.cxx Diff File

Issue History

Date Modified Username Field Change
2021-12-04 12:05 bugmaster New Issue
2021-12-04 12:05 bugmaster Assigned To => kgv
2021-12-04 12:05 bugmaster Status new => assigned
2021-12-04 13:06 kgv Relationship added child of 0032704
2021-12-04 13:06 kgv Test case number => N/A
2021-12-04 13:06 kgv Product Version => 7.6.0
2021-12-04 13:06 kgv Target Version 7.5.4 => 7.6.0
2021-12-04 13:06 kgv Steps to Reproduce Updated
2021-12-04 15:49 kgv Summary Coding - New warnings after integration fix for 32704 => Coding Rules - new warning in AIS_Shape::Color() after integration fix for 0032704
2021-12-04 15:49 git Note Added: 0105668
2021-12-04 16:25 kgv Note Added: 0105671
2021-12-04 16:25 kgv Assigned To kgv => bugmaster
2021-12-04 16:25 kgv Severity minor => trivial
2021-12-04 16:25 kgv Status assigned => resolved
2021-12-04 16:25 kgv Status resolved => reviewed
2021-12-11 11:34 smoskvin Note Added: 0105800
2021-12-11 11:34 smoskvin Status reviewed => tested
2021-12-11 15:14 smoskvin Changeset attached => occt master ccd3858e
2021-12-11 15:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-11 15:14 smoskvin Status tested => verified
2021-12-11 15:14 smoskvin Resolution open => fixed
2021-12-11 15:26 git Note Added: 0105819